/* ================= CSS (styles.css) ================= */
@font-face {
  font-family: 'ImpactCustom';
  src: url('./font/Impact.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  background-color: #e51612;
  color: #000;
  text-align: center;
}

.hero {
  padding: 40px 20px 10px;
}

.hero h1 {
	font-family: ImpactCustom, Arial, Helvetica, sans-serif;
  font-size: 8rem;
  font-weight: 900;
  margin: 1rem;
}
.hero h2 {
	font-family: ImpactCustom, Arial, Helvetica, sans-serif;
	color: #fff; 
  font-size: 4rem;
  font-weight: 900;
  margin: 1rem;
}

.gallery {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  padding: 40px 20px;
  flex-wrap: wrap;
}

.gallery img {
  width: 30%;
  max-width: 90%;
  transform: rotate(-2deg);
}

.gallery img:nth-child(2) {
  transform: rotate(0deg);
}

.gallery img:nth-child(3) {
  transform: rotate(2deg);
}

.cta {
  margin: 40px 0;
}
/* Reset default button style */
button {
    all: unset;
}
.button {
  display: inline-block;
  background: #000;
  color: #fff;
  text-decoration: none;
  padding: 30px 50px;
  transition: all 0.3s ease;
}

.button h2 {
  margin: 0;
	font-family: ImpactCustom, Arial, Helvetica, sans-serif;
  font-size: 2rem;
}

.button p {
  margin: 5px 0 0;
  font-size: 1rem;
}
.button:hover {
  background: #fff;
  color: #000;
  cursor: pointer;
}
.button:hover,
.button:hover h2,
.button:hover p {
  color: #000;
}
.socials {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 30px 0 50px;
}

.socials img {
  width: 40px;
  height: 40px;
}

input {
	padding: .5rem 1rem;
    width: 20rem;
}
input.number {
	height: 2rem;
}

/* Responsive */
@media (max-width: 768px) {
  .hero h1 {
    font-size: 2.2rem;
  }
  .hero h2 {
    font-size: 1.8rem;
	font-weight: normal;
  }

  .gallery {
    flex-direction: column;
  }
  
  .gallery img {
	  width: 90%;
  }

  .button {
    padding: 20px 30px;
  }
}
